# SPDX-FileCopyrightText: 2021-2024 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ ... }@inputs:
let
  hardware = inputs.nixos-hardware.nixosModules;
in
{
  nunotaba = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-intel
      hardware.common-pc-ssd
    ];
  };
  hitagi = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-amd
      hardware.common-pc-ssd
    ];
  };
  vueko = {
    system = "aarch64-linux";

    targetHost = "vueko.sbruder.de";
  };
  fuuko = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-amd
      hardware.common-pc-ssd
    ];

    targetHost = "fuuko.lan.shinonome-lab.de";
  };
  mayushii = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-amd
      #hardware.lenovo-thinkpad-p14s-amd-gen2
      (import "${inputs.nixos-hardware}/lenovo/thinkpad/p14s/amd/gen2")
      hardware.common-pc-ssd
    ];
  };
  renge = {
    system = "aarch64-linux";
    extraModules = [
      "${inputs.infinisilSystem}/config/new-modules/murmur.nix"
    ];

    targetHost = "renge.sbruder.de";
  };
  okarin = {
    system = "x86_64-linux";

    targetHost = "okarin.sbruder.de";
  };
  shinobu = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-intel
      hardware.common-pc-ssd
    ];

    targetHost = "shinobu.lan.shinonome-lab.de";
  };
  nazuna = {
    system = "x86_64-linux";

    targetHost = "nazuna.sbruder.de";
  };
  yuzuru = {
    system = "x86_64-linux";

    targetHost = "yuzuru.sbruder.de";
  };
}
