# SPDX-FileCopyrightText: 2023-2024 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ lib, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules
  ];

  sbruder = {
    nginx.hardening.enable = true;
    wireguard.home.enable = true;
    infovhost.enable = true;
  };

  networking.hostName = "nazuna";

  system.stateVersion = "23.05";

  services.nginx.enable = true;
  networking.firewall.allowedTCPPorts = [ 80 443 ];
  systemd.services.nginx.serviceConfig.SupplementaryGroups = lib.singleton "keys";

  sbruder.qbittorrent = {
    enable = true;
    fqdn = "sturzbach.sbruder.de";
  };

  services.nginx.virtualHosts."sturzbach.sbruder.de" = {
    enableACME = true;
    forceSSL = true;
  };
}
