# SPDX-FileCopyrightText: 2020-2023 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ config, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules
    ../../users/simon
  ];

  sbruder = {
    gui.enable = true;
    restic.system = {
      enable = true;
      qos = true;
    };
    unfree.allowSoftware = true;
    wireguard.home.enable = true;
  };

  networking.hostName = "nunotaba";

  system.stateVersion = "22.05";
}
