# SPDX-FileCopyrightText: 2023-2024 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules

    ./services/static-sites.nix
    ./services/proxy.nix
  ];

  sbruder = {
    nginx.hardening.enable = true;
    full = false;
    wireguard.home.enable = true;
    infovhost.enable = true;
  };

  networking.hostName = "okarin";

  system.stateVersion = "22.11";

  networking.firewall.allowedTCPPorts = [
    80
    443
  ];
}
