# SPDX-FileCopyrightText: 2023 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ lib, ... }:
let
  proxyMap = {
    "sbruder.xyz" = "renge";
    "nitter.sbruder.xyz" = "renge";
    "iv.sbruder.xyz" = "renge";
    "libreddit.sbruder.xyz" = "renge";
  };
in
{
  services.nginx.virtualHosts = lib.mapAttrs
    (host: target: {
      enableACME = true;
      forceSSL = true;

      locations."/".extraConfig = ''
        proxy_pass http://${target}.vpn.sbruder.de/;
        proxy_set_header Host ${host};
      '';
    })
    proxyMap;
}
