<!--
SPDX-FileCopyrightText: 2022-2023 Simon Bruder <simon@sbruder.de>

SPDX-License-Identifier: CC-BY-SA-4.0
-->

On this domain, the following services are currently available:

 * [Invidious](https://iv.sbruder.xyz)

They are all semi-public instances.
That means, they are not included in lists of public instances,
but feel free to use them for personal purposes.

You can do so by using a browser plugin like [Privacy Redirect](https://github.com/SimonBrazell/privacy-redirect)
and configuring the addresses to point to this server.

However, please note the following if you want to use them:

 * These services are provided as-is without any guarantees.
 * You must not use these services for any activities illegal under German law.
 * You must not use these services to interfere with the operation of the services
   or the sites that originally provide the data.
 * Please don’t over/abuse these services.
   They run on a tiny VPS and won’t be able to handle high workloads.

Also note the following service-specific things:

 * **Invidious**: There are no backups, so you are responsible for using the data export feature to back up important data.

The VPS providing the services is running NixOS.
The configuration is available [here](https://git.sbruder.de/simon/nixos-config/src/branch/master/machines/renge).

If you have any questions, please [contact me](https://sbruder.de).

## History

Previously, the following services were also available:

 * [Libreddit](https://libreddit.sbruder.xyz)
 * [Nitter](https://nitter.sbruder.xyz)

They are no longer offered,
as both Twitter (which no longer exists in its previous form) and Reddit
have become extremely hostile to third party applications,
which made them unreliable and forced the developers (at least for Libreddit)
to discontinue development.

The recommended migration path is to use alternative hosted instances
(<https://nitter.net> has been mostly working at the time of writing this)
or discontinue usage of that platform.

<!-- REUSE-IgnoreStart -->
## A Note to Copyright Holders

The services are only relaying content that is otherwise already available on the Internet.
If your rights are infringed by content available from this site,
please report this to the site originally making it available.
Otherwise the content will still be available on the Internet.

If you still want to report illegal content to me instead of the original site,
you can contact me by the means specified in the imprint.
Please don’t send letters by snail mail if you want a fast response.
<!-- REUSE-IgnoreEnd -->

## Imprint

See [Imprint](/imprint/).

## Privacy

If you log in to an Invidious account,
the data you provide to the service will be stored.
You can export or delete that data by using its built-in data control feature.

In the case of an error, details of the problematic request might be stored on the server
and used strictly for debugging and fixing the error.

## Transparency

For transparency reasons,
you can find all take down requests [here](/transparency/).

I was not sure if the reported content could be seen as violating Hetzner’s ToS,
and therefore complied, even though I don’t want to support the authority asking for removal.

#### Fine Print

<small>
This site and the services provided by it are not associated with YouTube, Reddit and/or Twitter.
Trademarks are property of their respective owners.
</small>
