# SPDX-FileCopyrightText: 2023 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ config, lib, pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ../../modules

    ./services/co2_exporter.nix
    ./services/router
    ./services/snmp-exporter.nix
    ./services/wordclock-dimmer.nix
  ];

  sbruder = {
    wireguard.home.enable = true;
    nginx.hardening.enable = true;
  };

  networking.hostName = "shinobu";

  system.stateVersion = "23.05";
}
