# SPDX-FileCopyrightText: 2022-2023 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ lib, ... }:

{
  services.nginx.virtualHosts = builtins.listToAttrs (map
    (fqdn: lib.nameValuePair fqdn {
      enableACME = true;
      forceSSL = true;

      locations."/" = {
        extraConfig = ''
          proxy_pass http://fuuko.vpn.sbruder.de/;
          proxy_set_header Host ${fqdn};
        '';
        proxyWebsockets = true;
      };
    })
    [
      "languagetool.sbruder.de"
      "media.sbruder.de"
      "photoprism.sbruder.de"
      "torrent.sbruder.de"
    ]);
}
