# SPDX-FileCopyrightText: 2021-2022 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ config, lib, pkgs, ... }:
let
  cfg = config.sbruder.games;
in
{
  options.sbruder.games = {
    enable = lib.mkEnableOption "games";
    performanceIndex = lib.mkOption {
      type = lib.types.int;
      description = ''
        Arbitrary number specifying how powerful the machine is. To be
        replaced by taking into account single- and multi-core CPU and GPU
        metrics separately should this system not map to my machines in
        practice.

         * 2: ~ 2014 ultrabook
         * 8: ~ 2016 quad-core workstation with mid-range GPU
      '';
      default = 1;
    };
  };
  config = lib.mkIf cfg.enable {
    boot.blacklistedKernelModules = [
      "hid_nintendo"
    ];
  };
}
