# SPDX-FileCopyrightText: 2022-2023 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ config, lib, ... }:

{
  services.syncthing = {
    enable = lib.mkDefault config.sbruder.gui.enable;
    guiAddress = "${config.sbruder.wireguard.home.address}:8384";
    openDefaultPorts = true;

    user = "simon";
    dataDir = "/home/simon";

    overrideDevices = false;
    settings = {
      devices = {
        fuuko = {
          id = "Z2OO5LK-N3UVCRD-QKVKLZ3-3LRXUOH-JENBAKQ-M647E3L-7FL6LIE-74GGHQF";
        };
      };
    };

    overrideFolders = false;
    # folders are not managed statically, because the list of devices can’t be
    # easily generated from the configuration
  };
}
