# SPDX-FileCopyrightText: 2021 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ bubblewrap, lib, makeWrapper, python3, stdenvNoCC }:
stdenvNoCC.mkDerivation rec {
  name = "bwrap-helper";

  src = ./bwrap-helper.py;

  nativeBuildInputs = [
    makeWrapper
  ];

  buildInputs = [
    bubblewrap
    python3
  ];

  dontUnpack = true;
  dontBuild = true;
  installPhase = ''
    install -D $src $out/bin/bwrap-helper
  '';
  postFixup = ''
    wrapProgram $out/bin/bwrap-helper --prefix PATH : ${lib.makeBinPath buildInputs}
  '';

  meta.license = lib.licenses.mit;
}
