# SPDX-FileCopyrightText: 2021 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ lib, buildPythonApplication, python3Packages }:
buildPythonApplication rec {
  name = "wordclock-dimmer";

  src = ./wordclock-dimmer.py;

  propagatedBuildInputs = with python3Packages; [
    astral
    paho-mqtt
  ];

  dontUnpack = true;
  format = "other";

  installPhase = ''
    install -D $src $out/bin/wordclock-dimmer
  '';

  meta.license = lib.licenses.mit;
}
