# SPDX-FileCopyrightText: 2020-2021 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ nixosConfig, pkgs, ... }:

{
  gtk = {
    enable = nixosConfig.sbruder.gui.enable;
    font.name = "sans-serif 10";
    theme = {
      package = pkgs.gnome-themes-extra;
      name = "Adwaita";
    };
    iconTheme = {
      package = pkgs.gnome3.adwaita-icon-theme;
      name = "Adwaita";
    };
    # Tooltips remain visible when switching to another workspace
    gtk2.extraConfig = ''
      gtk-enable-tooltips = 0
    '';
    gtk3.bookmarks = [
      "file:///tmp"
    ];
  };
}
