# SPDX-FileCopyrightText: 2022 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ lib, nixosConfig, pkgs, ... }:

lib.mkIf nixosConfig.sbruder.gui.enable {
  systemd.user.services.solaar = {
    Unit = {
      Requires = [ "tray.target" ];
      After = [ "graphical-session-pre.target" "tray.target" ];
      PartOf = [ "graphical-session.target" ];
    };

    Install = {
      WantedBy = [ "graphical-session.target" ];
    };

    Service = {
      ExecStart = "${pkgs.solaar}/bin/solaar -w hide";
    };
  };
}
