# SPDX-FileCopyrightText: 2021-2022 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ lib, nixosConfig, ... }:
let
  getMachineConfig = machine:
    if lib.hasAttr machine machineConfigs
    then lib.getAttr machine machineConfigs
    else { };

  machineConfigs = {
    # mayushii is handled separately in sway’s main configuration.
    # See it for more details.
    # mayushii = { };
    hitagi = {
      home.outputs = lib.singleton {
        criteria = "Acer Technologies Acer B277K 0x0000F36C";
        mode = "3840x2160";
        scale = 2.0;
      };
    };
  };
in
{
  services.kanshi = {
    enable = true;
    profiles = getMachineConfig (nixosConfig.networking.hostName);
  };
}
