# SPDX-FileCopyrightText: 2022 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ lib, nixosConfig, pkgs, ... }:

lib.mkIf nixosConfig.sbruder.gui.enable {
  home.packages = with pkgs; [
    watson # time tracking
  ];

  xdg.configFile."watson/config".text = lib.generators.toINI { } {
    options = {
      confirm_new_project = true;
      confirm_new_tag = true;
      date_format = "%Y-%m-%d";
      pager = false;
      reverse_log = false;
    };
  };
}
